Subject: Re: bug#11575: 24.1.50; rev 107888 breaks S-mouse mark region in cua-mode

From: [email-masked]
Date: Fri, 05 Aug 2016 19:17:05 -0400

tags 11575 confirmed
found 11575 25.1
found 11575 24.3
quit

Dominic Jänichen <[email-masked]> writes:

> I use cua-mode in emacs (trunk) and do
>
>
> to be able to use S-mouse-1 to select a region. I recently found this 
> behaviour broken. The mark gets set but no region is created.

Confirmed this is still the case in 25.1-rc1

I recopy the recipe here, because the OP had some annoying line wrapping
on the comment.

 ;; shift + click select region
  (define-key global-map (kbd "<S-down-mouse-1>") 'ignore) ; turn off font dialog
  (define-key global-map (kbd "<S-mouse-1>") 'mouse-set-point)
  (put 'mouse-set-point 'CUA 'move)
  (cua-mode t)